hw_api->link
hw_api->move
Hyperwave API Funções
PHP Manual

# hw_api->lock

(PHP 4, PHP 5 < 5.2.0, PECL hwapi CVS)

hw_api->lock — Locks an object

### Descrição

hw_api
bool lock ( array `$parameter` )

Locks an object for exclusive editing by the user calling this function. The object can be only unlocked by this user or the system user.

### Parâmetros

`parameter`

  The parameter array contains the required element 'objectIdentifier' and the optional parameters 'mode' and 'objectquery'.

  'mode' determines how an object is locked. `HW_API_LOCK_NORMAL` means, an object is locked until it is unlocked. `HW_API_LOCK_RECURSIVE` is only valid for collection and locks all objects within the collection and possible subcollections. `HW_API_LOCK_SESSION` means, an object is locked only as long as the session is valid.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas.

### Veja Também

- hw_api->unlock

hw_api->link
hw_api->move
Hyperwave API Funções
PHP Manual